package com.yd.dal.entity.order;

public class PolicyDetailInfoE {
    private String orderNo;
    private String policyNo;
    private String policyStatus;
    private String orderDate;
    private String startDate;
    private String endDate;
    private String holderId;
    private String holderName;
    private String holderIdNoType;
    private String holderIdNo;
    private String holderSex;
    private String holderBirthday;
    private String holderMobileNo;
    private String insuredId;
    private String insuredName;
    private String insuredIdNoType;
    private String insuredIdNo;
    private String insuredSex;
    private String insuredBirthday;
    private String insuredMobileNo;
    private String productId;
    private String productCode;
    private String productName;
    private String insurerId;
    private String insurerName;
    private Double premium;
    private Double commission;
    private Double commissionRate;
    private String policyType;
    private String payFrequency;
    private String payCommissionStatus;
    private String commissionType;

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getPolicyNo() {
        return policyNo;
    }

    public void setPolicyNo(String policyNo) {
        this.policyNo = policyNo;
    }

    public String getPolicyStatus() {
        return policyStatus;
    }

    public void setPolicyStatus(String policyStatus) {
        this.policyStatus = policyStatus;
    }

    public String getOrderDate() {
        return orderDate;
    }

    public void setOrderDate(String orderDate) {
        this.orderDate = orderDate;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public String getHolderId() {
        return holderId;
    }

    public void setHolderId(String holderId) {
        this.holderId = holderId;
    }

    public String getHolderName() {
        return holderName;
    }

    public void setHolderName(String holderName) {
        this.holderName = holderName;
    }

    public String getHolderIdNo() {
        return holderIdNo;
    }

    public void setHolderIdNo(String holderIdNo) {
        this.holderIdNo = holderIdNo;
    }

    public String getHolderSex() {
        return holderSex;
    }

    public void setHolderSex(String holderSex) {
        this.holderSex = holderSex;
    }

    public String getHolderBirthday() {
        return holderBirthday;
    }

    public void setHolderBirthday(String holderBirthday) {
        this.holderBirthday = holderBirthday;
    }

    public String getHolderMobileNo() {
        return holderMobileNo;
    }

    public void setHolderMobileNo(String holderMobileNo) {
        this.holderMobileNo = holderMobileNo;
    }

    public String getInsuredId() {
        return insuredId;
    }

    public void setInsuredId(String insuredId) {
        this.insuredId = insuredId;
    }

    public String getInsuredName() {
        return insuredName;
    }

    public void setInsuredName(String insuredName) {
        this.insuredName = insuredName;
    }

    public String getInsuredIdNo() {
        return insuredIdNo;
    }

    public void setInsuredIdNo(String insuredIdNo) {
        this.insuredIdNo = insuredIdNo;
    }

    public String getInsuredSex() {
        return insuredSex;
    }

    public void setInsuredSex(String insuredSex) {
        this.insuredSex = insuredSex;
    }

    public String getInsuredBirthday() {
        return insuredBirthday;
    }

    public void setInsuredBirthday(String insuredBirthday) {
        this.insuredBirthday = insuredBirthday;
    }

    public String getInsuredMobileNo() {
        return insuredMobileNo;
    }

    public void setInsuredMobileNo(String insuredMobileNo) {
        this.insuredMobileNo = insuredMobileNo;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public String getProductCode() {
        return productCode;
    }

    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getInsurerId() {
        return insurerId;
    }

    public void setInsurerId(String insurerId) {
        this.insurerId = insurerId;
    }

    public String getInsurerName() {
        return insurerName;
    }

    public void setInsurerName(String insurerName) {
        this.insurerName = insurerName;
    }

    public Double getPremium() {
        return premium;
    }

    public void setPremium(Double premium) {
        this.premium = premium;
    }

    public Double getCommission() {
        return commission;
    }

    public void setCommission(Double commission) {
        this.commission = commission;
    }

    public Double getCommissionRate() {
        return commissionRate;
    }

    public void setCommissionRate(Double commissionRate) {
        this.commissionRate = commissionRate;
    }

    public String getPolicyType() {
        return policyType;
    }

    public void setPolicyType(String policyType) {
        this.policyType = policyType;
    }

    public String getPayFrequency() {
        return payFrequency;
    }

    public void setPayFrequency(String payFrequency) {
        this.payFrequency = payFrequency;
    }

    public String getPayCommissionStatus() {
        return payCommissionStatus;
    }

    public void setPayCommissionStatus(String payCommissionStatus) {
        this.payCommissionStatus = payCommissionStatus;
    }

    public String getCommissionType() {
        return commissionType;
    }

    public void setCommissionType(String commissionType) {
        this.commissionType = commissionType;
    }

    public String getHolderIdNoType() {
        return holderIdNoType;
    }

    public void setHolderIdNoType(String holderIdNoType) {
        this.holderIdNoType = holderIdNoType;
    }

    public String getInsuredIdNoType() {
        return insuredIdNoType;
    }

    public void setInsuredIdNoType(String insuredIdNoType) {
        this.insuredIdNoType = insuredIdNoType;
    }
}
